package org.project.item.consumables;

import org.project.entity.players.Player;
import org.project.utils.ConsoleColors;

public class Flask extends Consumable {
    private final int healAmount = 30;

    public Flask() {
        super("Healing Flask", 40);
    }

    @Override
    public void use(Player player) {
        player.heal(healAmount);
        System.out.println(ConsoleColors.GREEN + player.getName() +
                " recovered " + healAmount + " HP." + ConsoleColors.RESET);
    }
}